Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037798
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2018-02-01 10:352018-02-22 18:19
ReportergorkaionView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision245b0075a8d3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037798: Add Characteristic to Product does not update the Characteristic Description

DescriptionWhen adding a characteristic value to an existing product its Characteristic Description field should be updated with the new value.

This is not happening.

The ProductCharacteristicValueEventHandler event handler should generate an ImportEntry to update it but it is not working.
Steps To Reproduce1 Go to Product Characteristics window.
2 If none exists create a Characteristic and a Value.
3 Click on Add to Product button.
4 Select a product and click done
5 Go to Product window and check in the grid that the characteristic description of the selected product has not changed.
Proposed SolutionDo a commit and notify the import entry creation on the event handler.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037852 closedmarkmm82 VariantChDescUpdateProcessor fails with OutOfMemoryError when there are many products to update 0000752:0000600 

-  Notes
(0102232)
markmm82 (developer)
2018-02-06 22:15

Test Plan
1 Go to Product Characteristics window.
2 If none exists create a Characteristic and a Value.
3 Click on Add to Product button.
4 Select a product and click done
5 Go to Product window and check in the grid that the characteristic description of the selected product has been changed with defined in the characteristics window.
(0102256)
hgbot (developer)
2018-02-07 16:29

Repository: erp/devel/pi
Changeset: 245b0075a8d3e468ce6dea16607b0e7061ad729d
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Feb 06 16:11:52 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/245b0075a8d3e468ce6dea16607b0e7061ad729d [^]

Fixed issue 37798: Add Characteristic to Product does not update the
Characteristic Description

When adding a characteristic value to an existing product its Characteristic Description
field should update with the new value but wasn't doing as expected.

To fix, ii passed True as commitAndClose to commit and notify the import entry creation
on the event handler.

---
M src/org/openbravo/event/ProductCharacteristicValueEventHandler.java
---
(0102257)
dmiguelez (developer)
2018-02-07 16:33

Code Review + Testing Ok
(0102729)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-01 10:35 gorkaion New Issue
2018-02-01 10:35 gorkaion Assigned To => Triage Finance
2018-02-01 10:35 gorkaion Modules => Core
2018-02-01 10:35 gorkaion Triggers an Emergency Pack => No
2018-02-01 11:00 Practics Issue Monitored: Practics
2018-02-06 11:19 dmiguelez Assigned To Triage Finance => markmm82
2018-02-06 17:19 markmm82 Status new => scheduled
2018-02-06 22:15 markmm82 Note Added: 0102232
2018-02-07 13:49 gorkaion Issue cloned 0037852
2018-02-07 13:49 gorkaion Relationship added related to 0037852
2018-02-07 16:29 hgbot Checkin
2018-02-07 16:29 hgbot Note Added: 0102256
2018-02-07 16:29 hgbot Status scheduled => resolved
2018-02-07 16:29 hgbot Resolution open => fixed
2018-02-07 16:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/245b0075a8d3e468ce6dea16607b0e7061ad729d [^]
2018-02-07 16:33 dmiguelez Review Assigned To => dmiguelez
2018-02-07 16:33 dmiguelez Note Added: 0102257
2018-02-07 16:33 dmiguelez Status resolved => closed
2018-02-07 16:33 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102729


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker